Subject: bug#31574: 27.0; Doc string for `with-help-window'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 May 2018 22:09:50 +0300

> Date: Thu, 24 May 2018 11:26:22 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> But even trying that for this bug, I don't see it.  I don't see
> anything about 31574 here, which is presumably the latest and
> right place to look for it (?):
> 
> http://git.savannah.gnu.org/cgit/emacs.git/log/

That's the master branch.  You need to look at emacs-26, which is
where I fixed this.  There's a dialog box on the top right corner of
the window, which should say "master"; click the arrow, and select
"emacs-26".

> > No, the real problem is that the reference to help-window-setup gave
> > you wrong expectations regarding what information that function should
> > add.  My change tried to make those expectations match the original
> > intent.
> 
> Which was what?

That the doc string of help-window-setup says something that sheds
light on with-help-window.